/**
 * @包名称 com.sagacloud.common
 * @文件名 ToolsUtil.java
 * @创建者 wanghailong
 * @邮箱 wanghailong@persagy.com  
 * @修改描述 
 */

package com.persagy.fm.sop.utils;

import org.apache.commons.lang.StringUtils;

import java.util.UUID;


/** 
 * 功能描述： 常用工具方法
 * @类型名称 ToolsUtil
 * @创建者 wanghailong
 * @邮箱 wanghailong@persagy.com  
 * @修改描述 
 */
public class ToolsUtil {

    public static String getUuid() {
    	String uuid = UUID.randomUUID().toString().replace("-","");
    	return uuid;
    }

    /**
     * 生成前缀+uuid的字符串
     * @param prefix  --前缀字符串
     * @return recordId --prefix+uuid（去除-）
     */
	public static String getRecordId(String prefix) {
		String recordId = "";
		if (!StringUtils.isNotBlank(prefix)) {
			recordId = prefix;
		}
		recordId = recordId + UUID.randomUUID().toString().replace("-", "");
		return recordId;
	}
 }
